﻿
-- 调度任务 快照和快照设置
delete from T_SCH_TASKDEFINE  WHERE FCLASSNAME = 'kd.mmc.mds.formplugin.basedata.task.FastPhotoTask'; 
insert into T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID)
values ('1GWF2Z8LPQYQ', 'kd.mmc.mds.formplugin.basedata.task.FastPhotoTask', 'FastPhotoTask', 'mds');

delete from T_SCH_TASKDEFINE  WHERE FCLASSNAME = 'kd.mmc.mds.formplugin.basedata.task.FastPhotoSetTask'; 
insert into T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID)
values ('1GWG6KM/II12', 'kd.mmc.mds.formplugin.basedata.task.FastPhotoSetTask', 'FastPhotoSetTask', 'mds');

delete FROM T_SCH_TASKDEFINE_L WHERE FID='1GWG6KM/II12';
insert into T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWG6KM/IHCU', '1GWG6KM/II12', 'zh_CN', 'MDS快照设置');

insert into T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWG6KM/IHCV', '1GWG6KM/II12', 'zh_TW', 'MDS快照設置');

delete FROM T_SCH_TASKDEFINE_L WHERE FID='1GWF2Z8LPQYQ';
insert into T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWF2Z8LPQ9G', '1GWF2Z8LPQYQ', 'zh_CN', 'MDS快照');

insert into T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWF2Z8LPQ9H', '1GWF2Z8LPQYQ', 'zh_TW', 'MDS快照');

-- 调度作业
delete from T_SCH_JOB  WHERE FID = '1GWGN0VVY2QZ'; 
insert into T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT)
values ('1GWGN0VVY2QZ', 'BIZ', 'kd.mmc.mds.formplugin.basedata.task.FastPhotoTask', '13466739', 'mds_FASTPHOTO_SKDJ_S', '1GWF2Z8LPQYQ', '1', ' ', '0', '0', ' ', '1');

delete from T_SCH_JOB  WHERE FID = '1GWGQ3VKY5D/'; 
insert into T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT)
values ('1GWGQ3VKY5D/', 'BIZ', 'kd.mmc.mds.formplugin.basedata.task.FastPhotoSetTask', '13466739', 'mds_FASTPHOTOSET_SKDJ_S', '1GWG6KM/II12', '1', ' ', '0', '0', ' ', '1');

delete FROM T_SCH_JOB_L WHERE FID = '1GWGN0VVY2QZ';
insert into T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGN0VVY3E7', '1GWGN0VVY2QZ', 'zh_CN', '快照作业');

insert into T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGN0VVY3E8', '1GWGN0VVY2QZ', 'zh_TW', '快照作業');

delete FROM T_SCH_JOB_L WHERE FID = '1GWGQ3VKY5D/';
insert into T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGQ3VKY4PR', '1GWGQ3VKY5D/', 'zh_CN', '快照设置作业');

insert into T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGQ3VKY4PS', '1GWGQ3VKY5D/', 'zh_TW', '快照設置作業');

-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1GWGXC7YHM/I';
insert into T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE)
values ('1GWGXC7YHM/I', ' ', {ts '2021-03-18 17:43:50'}, {ts '2021-03-18 17:43:50'}, '0 25 17 18 3 ? 2021', 'FASTPHOTO', '1', '1', '172.19.112.227', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件不重复', 'n');

DELETE FROM T_SCH_SCHEDULE WHERE FID = '1GWH0=FT826I';
insert into T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE)
values ('1GWH0=FT826I', ' ', {ts '2021-03-18 17:43:50'}, {ts '2021-03-18 17:43:50'}, '0 27 17 18 3 ? 2021', 'FASTPHOTOSET', '1', '1', '172.19.112.227', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件不重复', 'n');

DELETE FROM T_SCH_SCHEDULE_L WHERE FID = '1GWGXC7YHM/I';
insert into T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGXC7YHLB9', '1GWGXC7YHM/I', 'zh_CN', '快照调度计划');

insert into T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWGXC7YHLB=', '1GWGXC7YHM/I', 'zh_TW', '快照調度計劃');

DELETE FROM T_SCH_SCHEDULE_L WHERE FID = '1GWH0=FT826I';
insert into T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWH0=FT82VS', '1GWH0=FT826I', 'zh_CN', '快照设置调度计划');

insert into T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
values ('1GWH0=FT82VT', '1GWH0=FT826I', 'zh_TW', '快照設置調度計劃');


